<?xml version="1.0" encoding="UTF-8"?>
<!--                                                                        -->
<!-- Licensed Materials - Property of IBM                                   -->
<!-- (C) Copyright IBM Corp. 2009, 2014.  All Rights Reserved.              -->
<!--                                                                        -->
<!-- US Government Users Restricted Rights - Use, duplication or disclosure -->
<!-- restricted by GSA ADP Schedule Contract with IBM Corp.                 -->
<!--                                                                        -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0" >
 
	<xsl:output method="xml" indent="yes" />

	<xsl:param name="id" />
	
	<xsl:template match="TIMESTAMP | SELECTIONCRITERIA| RUNDATE | RUNTIME |GROUPID1 |GROUPID2 |USERID |MEMBERNAME|PERCENTAGE"/> 
	
	<xsl:template
		match="DTCODECOVERAGETRANSFORMATION/DTCODECOVERAGEFILE/LOADMODULE/COMPILATIONUNIT[ID=string($id)]">
		<ANNOTATIONINFO>
			<ID><xsl:value-of select="ID" /></ID>
			<PROGRAMDSNAME><xsl:value-of select="PROGRAMDSNAME" /></PROGRAMDSNAME>
			<PROGRAMDSTYPE><xsl:value-of select="PROGRAMDSTYPE" /></PROGRAMDSTYPE>
			<COMPILEDATE><xsl:value-of select="COMPILEDATE" /></COMPILEDATE>
			<COMPILETIME><xsl:value-of select="COMPILETIME" /></COMPILETIME>
			<CSECT>
				<EXTNAME>
					<xsl:value-of select="CSECT/EXTNAME" />
				</EXTNAME>
				<DBGOV>
					<xsl:value-of select="CSECT/DBGOV" />
				</DBGOV>
				<xsl:for-each select="CSECT/EXECUTED">
					<EXECUTED><xsl:value-of select="." /></EXECUTED>
				</xsl:for-each>
				<xsl:for-each select="CSECT/UNEXECUTED">
					<UNEXECUTED><xsl:value-of select="." /></UNEXECUTED>
				</xsl:for-each>
			</CSECT>
			<!-- <COMPILATIONUNIT><xsl:copy-of select="child::node()[not(self::EXECUTEDTOTAL or self::UNEXECUTEDTOTAL or self::TOTAL)]"/></COMPILATIONUNIT> 
			 <COMPILATIONUNIT><xsl:copy-of select="child::node()"/></COMPILATIONUNIT>-->
		</ANNOTATIONINFO>
	</xsl:template>
	<xsl:template match ="COMPILATIONUNIT" />
</xsl:stylesheet>